Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Member Functions | List of all members
firmware::FirmwareUpdateStatus Interface Reference

Firmware update status interface. More...

`import <FirmwareUpdateStatus.idl;`

## Public Member Functions
UpdateStatus | getStatus ()
| Returns the device's firmware update status.

## Detailed Description

Firmware update status interface.

Unlike all other sysrpc methods this function is implemented by a CGI script which is available even during a firmware update. The URL for this interface is /cgi-bin/fwupdate_progress.cgi.

Definition at line 28 of file FirmwareUpdateStatus.idl.

## Member Function Documentation

## ◆ getStatus()

UpdateStatus firmware::FirmwareUpdateStatus::getStatus | ( |  | ) |

Returns the device's firmware update status.

Returns
  Update status structure

The documentation for this interface was generated from the following file:

- FirmwareUpdateStatus.idl